package com.bonus.canteen.core.marketing.v2.rule.pay.handler.sequence.extension;

import com.alibaba.fastjson.JSONObject;
import com.bonus.canteen.core.marketing.v2.rule.pay.constants.RulePayEnum;
import com.bonus.canteen.core.marketing.v2.rule.pay.handler.RulePayHandler;
import com.bonus.canteen.core.marketing.v2.rule.pay.handler.sequence.dto.PaySequence;

public interface PaySequenceHandlerExtension extends RulePayHandler {
   @Override
   default Integer getRuleType() {
      return RulePayEnum.RULE_PAY_SEQUENCE.getKey();
   }

   @Override
   default void checkRuleInfo(String ruleInfo) {
      JSONObject.parseObject(ruleInfo, PaySequence.class);
   }
}
